- Main Page
- Namespaces
- Classes
- Files

- File List

Classes | Namespaces
topologyLevel.h File Reference
`#include "../version.h"`
`#include "../vtr/level.h"`
`#include "../vtr/refinement.h"`
`#include "../far/types.h"`
`#include <vector>`

Go to the source code of this file.

## Classes
class | TopologyLevel
| TopologyLevel is an interface for accessing data in a specific level of a refined topology hierarchy. Instances of TopologyLevel are created and owned by a TopologyRefiner, which will return const-references to them. Such references are only valid during the lifetime of TopologyRefiner that created and returned them, and only for a given refinement, i.e. if the TopologyRefiner is re-refined, any references to TopoologyLevels are invalidated. More...

## Namespaces
| OpenSubdiv
| OpenSubdiv::OPENSUBDIV_VERSION
| OpenSubdiv::OPENSUBDIV_VERSION::Far